claw::delete_function< T > Class Template Reference

Function object that deletes a pointer. More...

`#include <functional.hpp>`

Inheritance diagram for claw::delete_function< T >:

## Public Member Functions

void | operator() (const T &a) const

## Detailed Description

template<typename T>
class claw::delete_function< T >

Function object that deletes a pointer.

Template arguments:

- T The pointer type.

Remarks
  Use this function object to clear your container of pointers.

Author
  Julien Jorge

Definition at line 255 of file functional.hpp.

## Member Function Documentation

## operator()()

template<typename T>

void claw::delete_function< T >::operator() | ( | const T & | a | ) | const

inline

Definition at line 258 of file functional.hpp.

The documentation for this class was generated from the following file:

- functional.hpp